Bug 19983 - "Authentication response too long:" error message from slogin
"Authentication response too long:" error message from slogin
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-29 03:41 EST by Larason, Todd
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-31 06:31:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larason, Todd 2000-10-29 03:41:22 EST
slogin (openssh-clients-2.2.0p1-5) semi-consistently returns error messages
such as "Authentication response too long: 1433299822"; by
"semi-consistently", I mean that if it occurs, it will almost certainly
reoccur if a login is retried to the same host.  After some time period
(something between an hour and a day), it's okay again.  I've seen this
against both an OpenBSD server and a RH7 (openssh-server-2.2.0p1-5) server.

Full text from an slogin -v (hostname/address removed, contact privately if
you need it):
SSH Version OpenSSH_2.2.0p1, protocol versions 1.5/2.0.
Compiled with SSL (0x0090581f).
debug: Reading configuration data /home/jtl/.ssh/config
debug: Applying options for *
debug: Reading configuration data /etc/ssh/ssh_config
debug: Applying options for *
debug: Seeding random number generator
debug: ssh_connect: getuid 501 geteuid 0 anon 0
debug: Connecting to XXX.XXX.XXX [###.###.###.###] port 22.
debug: Allocated local port 1021.
debug: Connection established.
debug: Remote protocol version 1.99, remote software version OpenSSH-2.1
Enabling compatibility mode for protocol 2.0
debug: Local version string SSH-2.0-OpenSSH_2.2.0p1
debug: Seeding random number generator
debug: send KEXINIT
debug: done
debug: wait KEXINIT
debug: got kexinit: diffie-hellman-group1-sha1
debug: got kexinit: ssh-dss
debug: got kexinit: 3des-cbc,blowfish-cbc,arcfour,cast128-cbc
debug: got kexinit: 3des-cbc,blowfish-cbc,arcfour,cast128-cbc
debug: got kexinit: hmac-sha1,hmac-md5,hmac-ripemd160@openssh.com
debug: got kexinit: hmac-sha1,hmac-md5,hmac-ripemd160@openssh.com
debug: got kexinit: zlib,none
debug: got kexinit: zlib,none
debug: got kexinit: 
debug: got kexinit: 
debug: first kex follow: 0 
debug: reserved: 0 
debug: done
debug: kex: server->client blowfish-cbc hmac-sha1 zlib
debug: kex: client->server blowfish-cbc hmac-sha1 zlib
debug: Sending SSH2_MSG_KEXDH_INIT.
debug: bits set: 495/1024
debug: Wait SSH2_MSG_KEXDH_REPLY.
debug: Got SSH2_MSG_KEXDH_REPLY.
debug: Host 'XXX.XXX.XXX.XXX' is known and matches the DSA host key.
debug: bits set: 488/1024
debug: len 55 datafellows 0
debug: dsa_verify: signature correct
debug: Wait SSH2_MSG_NEWKEYS.
debug: Enabling compression at level 6.
debug: GOT SSH2_MSG_NEWKEYS.
debug: send SSH2_MSG_NEWKEYS.
debug: done: send SSH2_MSG_NEWKEYS.
debug: done: KEX2.
debug: send SSH2_MSG_SERVICE_REQUEST
debug: service_accept: ssh-userauth
debug: got SSH2_MSG_SERVICE_ACCEPT
debug: authentications that can continue: publickey,password
Authentication response too long: 1433299822
debug: Calling cleanup 0x805db10(0x0)
debug: compress outgoing: raw data 51, compressed 52, factor 1.02
debug: compress incoming: raw data 41, compressed 46, factor 1.12

Relevant ~/.ssh/options entries:
Host *
  Cipher blowfish
  Compression yes
  CompressionLevel 4
  FallBackToRsh no

The ~/.ssh/identity key was created with ssh 1.2.something, but this occurs
against a server without an installed authorized_keys file so I don't think
that's relevant.
Comment 1 Tomas Mraz 2005-02-02 11:12:17 EST
Does it still happen with the current openssh version on Fedora Core?
Comment 2 Tomas Mraz 2005-03-31 06:31:01 EST
No response, please reopen if still happens with a current FC/RHEL release.

Note You need to log in before you can comment on or make changes to this bug.